List Event Dates
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/datesimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyEvent Dates
List Event Dates
Retrieve all dates of an event.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
/
{id}
/
dates
List Event Dates
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/datesimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyAn event can have one or more dates. Each date has a
start and end in the site timezone, plus the same values in UTC. See Dates and times.
Path Parameters
integer
required
The ID of the event
Example Request
GET /wp-json/latepoint-api/v1/events/2/dates
Authorization: Bearer YOUR_API_KEY
Response
Dates are returned in a single array, without pagination.{
"success": true,
"data": [
{
"id": 1,
"event_id": 2,
"start": "2026-12-05 09:00:00",
"end": "2026-12-05 12:00:00",
"start_utc": "2026-12-05 12:00:00",
"end_utc": "2026-12-05 15:00:00"
},
{
"id": 2,
"event_id": 2,
"start": "2026-12-06 09:00:00",
"end": "2026-12-06 12:00:00",
"start_utc": "2026-12-06 12:00:00",
"end_utc": "2026-12-06 15:00:00"
}
]
}
Error Response
{
"code": "event_not_found",
"message": "Event not found",
"data": {
"status": 404
}
}
